/*  gscheduler - A General Purpose Project Scheduler
**  Copyright (C) 1999-2000  Brian St. Pierre
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation; either version 2 of the License, or
**  (at your option) any later version.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/*
**
** command.h
**
** Prototypes for commands in commands.cpp.
**
** $Id: command.h,v 1.7 2000/03/27 03:35:38 bstpierre Exp $
**/


#ifndef __COMMAND_H__
#define __COMMAND_H__

#include <time.h>
#include "task.h"

#ifdef __cplusplus
extern "C" {
#endif

void cmd_project_load(char* filename);
void cmd_project_save(char* filename);
void cmd_project_new(char* description);
void cmd_project_dump();
void cmd_report_run(char* reportName);
void cmd_task_add(char* desc, time_t startDate, gdouble numDays);
void cmd_task_set_info(Task* task, char* desc,
                       time_t startDate, time_t endDate,
                       time_t estimate);
void cmd_task_complete(Task* task);
void cmd_task_reestimate(Task* task, time_t newEstimate);
void cmd_task_remove(Task* task);

#ifdef __cplusplus
}
#endif

#endif // __COMMAND_H__
