/*  gscheduler - A General Purpose Project Scheduler
**  Copyright (C) 1999-2000  Brian St. Pierre
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation; either version 2 of the License, or
**  (at your option) any later version.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/*
** dialogs.h
**
** This declares the interfaces to each of the dialogs.
**
** $Id: dialogs.h,v 1.4 2000/03/27 03:35:38 bstpierre Exp $
**/

#ifndef __DIALOG_H__
#define __DIALOG_H__

#include <gnome.h>
#include <time.h>
#include "task.h"

#ifdef __cplusplus
extern "C" {
#endif

void dlg_file_open(char* filenameOut, /* OUT */
                   size_t filenameOutMaxLen);
void dlg_file_save_as(char* filename, /* OUT */
                      size_t maxFilenameLen);

void dlg_project_new(GnomeApp* parent);

void dlg_task_add(GnomeApp* parent);
void dlg_task_edit(GnomeApp* parent, Task* task);

#ifdef __cplusplus
}
#endif

#endif // __DIALOG_H__
