/*  gscheduler - A General Purpose Project Scheduler
**  Copyright (C) 1999-2000  Brian St. Pierre
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation; either version 2 of the License, or
**  (at your option) any later version.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/*
** scheduler.h
**
** Project-wide definitions.
**
** $Log: scheduler.h,v $
** Revision 1.3  2000/02/26 06:47:33  bstpierre
** Implemented Task->Remove
**
** Revision 1.2  2000/02/26 03:23:58  bstpierre
** Finished task11582: "Add a status bar"
** Finished task11573: "Put full task information into the task tree"
**
** Revision 1.1.1.1  2000/02/10 04:33:21  bstpierre
** Initial sourceforge cvs upload, corresponds to release 0.0.8.
**
** Revision 1.3  2000/02/01 19:59:09  brian
** Added CopyLeft notice to file header
**
** Revision 1.2  2000/01/06 22:36:30  brian
** - Added header.
** - Added GnomeApp* global.
**
**
*/


#ifndef __SCHEDULER_H__
#define __SCHEDULER_H__

#include <gtk/gtk.h>

#ifdef DEBUG

/* This byte is used to fill blocks of memory before freeing. */
#ifndef GSCHED_FREE_MEMORY
#define GSCHED_FREE_MEMORY      0xee
#endif

/* This fills blocks of memory to make use after freeing more obvious. */
#define GSCHED_SHRED_OBJECT(obj, type) \
        memset(obj, GSCHED_FREE_MEMORY, sizeof(type))

#else

#define GSCHED_SHRED_OBJECT(obj, type)

#endif /* DEBUG */

/*
 * GLOBALS (prefixed with "g_").
 */
extern char g_appName[];
extern GtkWidget* g_app;

#endif /* __SCHEDULER_H__ */
