/*  gscheduler - A General Purpose Project Scheduler
**  Copyright (C) 1999-2000  Brian St. Pierre
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation; either version 2 of the License, or
**  (at your option) any later version.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/*
** scheduler.h
**
** Project-wide definitions.
**
** $Log: status_bar.h,v $
** Revision 1.2  2000/02/26 05:22:26  bstpierre
** Finished task12064: Clean up interface between UI and back end.
**
** Revision 1.1  2000/02/26 03:28:12  bstpierre
** Finished task11582: "Add a status bar"
** Finished task11573: "Put full task information into the task tree"
**
** Revision 1.1.1.1  2000/02/10 04:33:21  bstpierre
** Initial sourceforge cvs upload, corresponds to release 0.0.8.
**
** Revision 1.3  2000/02/01 19:59:09  brian
** Added CopyLeft notice to file header
**
** Revision 1.2  2000/01/06 22:36:30  brian
** - Added header.
** - Added GnomeApp* global.
**
**
*/


#ifndef __STATUS_BAR_H__
#define __STATUS_BAR_H__

#include <gnome.h>
#include "task.h"
#include "project.h"

#ifdef __cplusplus
extern "C" {
#endif

/* This should be called once per session to initialize the status bar. */
void status_bar_init(GnomeApp* app);

/* This puts a message into the status bar. */
void status_bar_set_message(gchar* message);

/* This sets the status message to describe the given task. */
void status_bar_set_task(const Task* task);

/* This sets the status message to describe the given project. */
void status_bar_set_project(const Project* project);

#ifdef __cplusplus
}
#endif

#endif /* __STATUS_BAR_H__ */
