/*  gscheduler - A General Purpose Project Scheduler
**  Copyright (C) 1999-2000  Brian St. Pierre
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation; either version 2 of the License, or
**  (at your option) any later version.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/*
** task_tree.h
**
** This file declares the interface to the module that controls
** the tree which displays the active project's tasks.
**
** $Log $
**/


#ifndef __TASK_TREE_HPP__
#define __TASK_TREE_HPP__

#include <gnome.h>
#include "task.h"
#include "project.h"

#ifdef __cplusplus
extern "C" {
#endif

/* This creates and initializes the project tree, adding it to
 * the given app window. */
void task_tree_init(GnomeApp* app);

/* This adds the given task to the tree. */
void task_tree_add_task(Task* task);

/* This sets the current project. */
void task_tree_set_project(Project* project);

/* This returns the currently selected task. */
Task* task_tree_get_current_task();

/* This removes a line from the task tree. */
void task_tree_remove_task(Task* task);

#ifdef __cplusplus
}
#endif

#endif // __TASK_TREE_HPP__
